uuid: fcdee38a-510c-47ed-8639-31a4836acfa0
langcode: en
status: true
dependencies:
  module:
    - rest
    - serialization
    - taxonomy
    - user
_core:
  default_config_hash: wu_5Q6qIdqz9vEym7oxgVNtt3HQBljdrq9yVDd0EMKw
id: term_from_uri
label: 'Term from URI'
module: views
description: 'REST output of a term, from a request like /term_from_uri?_format=json&uri=http://pcdm.org/use%23ThumbnailImage or "/term_from_authority_link?_format=json&authority_link=http://1234.org". Used by Islandora Workbench.'
tag: ''
base_table: taxonomy_term_field_data
base_field: tid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      fields:
        name:
          id: name
          table: taxonomy_term_field_data
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: taxonomy_term
          entity_field: name
          plugin_id: term_name
          label: ''
          exclude: false
          alter:
            alter_text: false
            make_link: false
            absolute: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            trim: false
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          convert_spaces: false
      pager:
        type: mini
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: ››
            previous: ‹‹
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'administer taxonomy'
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts: {  }
      arguments:
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: string
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: query_parameter
          default_argument_options:
            query_param: uri
            fallback: ''
            multiple: and
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          glossary: false
          limit: 0
          case: none
          path_case: none
          transform_dash: false
          break_phrase: false
      filters:
        status:
          id: status
          table: taxonomy_term_field_data
          field: status
          entity_type: taxonomy_term
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
      style:
        type: serializer
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships: {  }
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - request_format
        - url
        - url.query_args
        - user.permissions
      tags: {  }
  rest_export_1:
    id: rest_export_1
    display_title: 'REST export (external URI)'
    display_plugin: rest_export
    position: 1
    display_options:
      pager:
        type: none
        options:
          offset: 0
      arguments:
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: string
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: query_parameter
          default_argument_options:
            query_param: uri
            fallback: ''
            multiple: and
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          glossary: false
          limit: 0
          case: none
          path_case: none
          transform_dash: false
          break_phrase: false
      style:
        type: serializer
        options:
          uses_fields: false
          formats:
            json: json
      row:
        type: data_entity
        options: {  }
      defaults:
        arguments: false
      display_description: ''
      display_extenders: {  }
      path: term_from_uri
      auth:
        - basic_auth
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - request_format
        - url
        - user.permissions
      tags: {  }
  rest_export_2:
    id: rest_export_2
    display_title: 'REST export (authority link)'
    display_plugin: rest_export
    position: 1
    display_options:
      pager:
        type: none
        options:
          offset: 0
      arguments:
        field_authority_link_uri:
          id: field_authority_link_uri
          table: taxonomy_term__field_authority_link
          field: field_authority_link_uri
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: string
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: query_parameter
          default_argument_options:
            query_param: authority_link
            fallback: ''
            multiple: and
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          glossary: false
          limit: 0
          case: none
          path_case: none
          transform_dash: false
          break_phrase: false
      style:
        type: serializer
        options:
          uses_fields: false
          formats:
            json: json
      row:
        type: data_entity
        options: {  }
      defaults:
        arguments: false
      display_description: ''
      display_extenders: {  }
      path: term_from_authority_link
      auth:
        - basic_auth
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - request_format
        - url
        - user.permissions
      tags: {  }
